import * as $dara from '@darabonba/typescript';
export declare class CreateRouteEntryResponseBody extends $dara.Model {
    /**
     * @remarks
     * The ID of the request.
     *
     * @example
     * 0ED8D006-F706-4D23-88ED-E11ED28DCAC0
     */
    requestId?: string;
    /**
     * @remarks
     * The ID of the custom route entry.
     *
     * @example
     * rte-sn6vjkioxte1gz83z****
     */
    routeEntryId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
